/*
   OSC2MIDI

   OSC2MIDI is a heavily extended port of https://github.com/tadas-s/OSC2Midi

   (c)2020 H. Wirtz <wirtz@parasitstudio.de>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
*/

#ifndef OSC2MIDI_H
#define OSC2MIDI_H

#include <cstdint>

uint8_t getVar(const char *str, int index);
uint8_t getCC(const char *str);
uint8_t getMIDIChannel(const char *str);

#endif
